<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# DELETE                                                           #
# Adattörlés                                                       #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.26.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
if (!$_SESSION['user']) {
    exit();
}
$hiba = 0;
//rinfo();
// Esetszétválaszáts, hogy mik hajtódjanak végre
  switch ($_REQUEST['mode']) {
    case 'mualkotasok': 
          // Törlés a műalkotások_alkotóiból
          $del1 = lekerdezes("DELETE FROM mualkotas_alkotoi WHERE mu_kod =".$id);
          // Törlés a műalkotás_anyagaiból
          $del2 = lekerdezes("DELETE FROM mualkotas_anyagai WHERE mu_kod =".$id);
          // Törlés a műalkotás_fotoiból
          $del3 = lekerdezes("DELETE FROM mualkotas_fotoi WHERE mu_kod =".$id);
          // Törlés a műalkotás_technikáiból
          $del4 = lekerdezes("DELETE FROM mualkotas_technikai WHERE mu_kod =".$id);
          // Törlés a műalkotás_tipusai
          $del5 = lekerdezes("DELETE FROM mualkotas_tipusai WHERE mu_kod =".$id);
          // Törlés a műalkotásokból
          $del6 = lekerdezes("DELETE FROM mualkotasok WHERE mu_azon =".$id);
          if ((!$del1) || (!$del2) || (!$del3) || 
              (!$del4) || (!$del5) || (!$del6)) $hiba = 1;
          break;
    case 'alkotok':
          // Törlés a műalkotások_alkotóiból
          $del1 = lekerdezes("DELETE FROM mualkotas_alkotoi WHERE alk_kod =".$id);
          // Törlés az alktókból
          $del2 = lekerdezes("DELETE FROM dijazasok WHERE alk_k =".$id);
          // Törlés az alktókból
          $del3 = lekerdezes("DELETE FROM alkotok WHERE alk_azon =".$id);
          if ((!$del1) || (!$del2) || (!$del3)) $hiba = 1; 
          break;  
    case 'helyek':
          // Ha szerepel egy mualkotásnál, akkor módosítjuk
          $upd = lekerdezes("UPDATE mualkotasok SET helynev_kod = 0 WHERE helynev_kod =".$id);
          // Törlés a helyszínekből
          $del = lekerdezes("DELETE FROM helyek WHERE helynev_azon =".$id);
          if ((!$upd) || (!$del)) $hiba = 1;                                     
          break;
    case 'cimek': 
          // Ha szerepel egy mualkotásnál, akkor módosítjuk
          $upd = lekerdezes("UPDATE mualkotasok SET cim_kod = 0 WHERE cim_kod =".$id);
          // Törlés a címekből
          $del = lekerdezes("DELETE FROM cimek WHERE cim_azon =".$id);
          if ((!$upd) || (!$del)) $hiba = 1;
          break;
    case 'tipusok':
          // Törlés a műalkotások_típusaiból
          $del1 = lekerdezes("DELETE FROM mualkotas_tipusai WHERE tipus_kod =".$id);
          // Törlés a típusokból
          $del2 = lekerdezes("DELETE FROM tipusok WHERE tipus_azon =".$id);
          if ((!$del1) || (!$del2)) $hiba = 1;
          break;
    case 'technikak':
          // Törlés a műalkotások_technikáiból
          $del1 = lekerdezes("DELETE FROM mualkotas_technikai WHERE technika_kod =".$id);
          // Törlés a technikákból
          $del2 = lekerdezes("DELETE FROM technikak WHERE technika_azon =".$id);
          if ((!$del1) || (!$del2)) $hiba = 1;
          break;
    case 'anyagok':
          // Törlés a műalkotások_anyagaiból
          $del1 = lekerdezes("DELETE FROM mualkotas_anyagai WHERE anyag_kod =".$id);
          // Törlés az anyagokból
          $del2 = lekerdezes("DELETE FROM anyagok WHERE anyag_azon =".$id);
          if ((!$del1) || (!$del2)) $hiba = 1;
          break;
    case 'fotosok': 
          // Ha szerepel egy fotónál, akkor módosítjuk
          $upd = lekerdezes("UPDATE fotok SET fotos_kod = 0 WHERE fotos_kod =".$id);
          // Törlés a fotósokból
          $del = lekerdezes("DELETE FROM fotosok WHERE fotos_azon =".$id);
          if ((!$upd) || (!$del)) $hiba = 1;
          break;
      default:
        echo "<div class=\"hiba\">Ez a törlés nem értelmezhető</div>\n";
        contactme();
  }
if ($hiba == 0) { 
  echo "<span class=\"mentes\">Törlés...</span>\n";
  echo "<script language=\"Javascript\">window.location.href='?do=edit';</script>\n";
}
?>      
